---
kind: pipeline
type: docker
name: default

steps:
- name: frontend
  image: node
  commands:
  - npm install
  - npm run build
  - npx wrangler pages deploy dist --project-name=the-abstraction-engine
  environment:
    CLOUDFLARE_API_TOKEN:
      from_secret: CLOUDFLARE_API_TOKEN
    CLOUDFLARE_ACCOUNT_ID:
      from_secret: CLOUDFLARE_ACCOUNT_ID
